export class CodeSnippets {
    static openTypescript() {
        return "'''typescript";
    }
    static closeTypescript() {
        return "'''";
    }
    static openProto() {
        return "'''proto";
    }
    static closeProto() {
        return "'''";
    }
    static sanitizeTypescript(promptResponse) {
        let code = promptResponse;
        const tsOpen = CodeSnippets.openTypescript();
        if (promptResponse.includes(tsOpen)) {
            const tsClose = CodeSnippets.closeTypescript();
            code = promptResponse.substring(promptResponse.indexOf(tsOpen) + tsOpen.length, promptResponse.lastIndexOf(tsClose));
        }
        const backticksCount = (code.match(/```/g) || []).length;
        if (backticksCount === 2) {
            const backtickStart = '```typescript';
            const backtickEnd = '```';
            return code.substring(code.indexOf(backtickStart) + backtickStart.length, code.lastIndexOf(backtickEnd));
        }
        return code;
    }
    static sanitizeProto(promptResponse) {
        let code = promptResponse;
        const protoOpen = CodeSnippets.openProto();
        if (promptResponse.includes(protoOpen)) {
            const protoClose = CodeSnippets.closeProto();
            code = promptResponse.substring(promptResponse.indexOf(protoOpen) + protoOpen.length, promptResponse.lastIndexOf(protoClose));
        }
        const backticksCount = (code.match(/```/g) || []).length;
        if (backticksCount === 2) {
            const backtickStart = '```proto';
            const backtickEnd = '```';
            return code.substring(code.indexOf(backtickStart) + backtickStart.length, code.lastIndexOf(backtickEnd));
        }
        return code;
    }
    static sanitizeTypescriptImports(code) {
        const regex = /import.+;(\r?\n|\r)/g;
        const sanitizedCode = code.replace(regex, '');
        return sanitizedCode;
    }
    static removeLicenseCode(code) {
        return code.replace(/\/\*[\s\S]*?\*\//g, '');
    }
}
