import { getTargetFileDestination } from '@bitloops/bl-transpiler';
import { writeTargetFile } from './writeTargetFile.js';
export const writeTranspiledCode = (result, outputDirPath) => {
    const { core, setup } = result;
    writeGeneratedOutputToFiles(core, outputDirPath);
    writeGeneratedSetupOutputToFiles(setup, outputDirPath);
};
const writeGeneratedOutputToFiles = (params, outputDirPath) => {
    for (const targetFileContent of params) {
        const { boundedContext, module, classType, className, fileContent } = targetFileContent;
        const destination = getTargetFileDestination(boundedContext, module, classType, className);
        writeTargetFile({
            projectPath: outputDirPath,
            filePathObj: destination,
            fileContent: fileContent,
        });
    }
};
const writeGeneratedSetupOutputToFiles = (params, outputDirPath) => {
    for (const targetFileContent of params) {
        const { fileId, fileContent } = targetFileContent;
        writeTargetFile({
            projectPath: outputDirPath,
            filePathObj: { path: '/', filename: fileId },
            fileContent: fileContent,
        });
    }
};
