import * as fs from 'fs';
import * as path from 'path';
const getFolderNamesFromPath = (filePath) => {
    const paths = fs
        .readdirSync(filePath, { withFileTypes: true })
        .filter((dirOrFile) => dirOrFile.isDirectory())
        .map((dir) => path.join(filePath, dir.name));
    return paths;
};
const getBoundedContextModules = (absoluteSourcefilePath) => {
    const boundedContextPaths = getFolderNamesFromPath(absoluteSourcefilePath);
    const contextModules = {};
    for (const boundedContextsPath of boundedContextPaths) {
        const moduleNames = getContextModuleNames(boundedContextsPath);
        const boundedContextName = path.basename(boundedContextsPath);
        contextModules[boundedContextName] = moduleNames;
    }
    return contextModules;
};
const getContextModuleNames = (filePath) => {
    const contextModuleNames = getFolderNamesFromPath(filePath).map((boundedContextPath) => {
        return path.basename(boundedContextPath);
    });
    return contextModuleNames;
};
export { getBoundedContextModules };
