import * as fs from 'fs';
import path from 'path';
const CWD = process.cwd();
export const getRecursivelyFileInDirectory = (directoryPath, suffix) => {
    let dirPath;
    if (path.isAbsolute(directoryPath)) {
        dirPath = directoryPath;
    }
    else {
        dirPath = path.join(CWD, directoryPath);
    }
    const resultFiles = [];
    fs.readdirSync(dirPath).forEach((file) => {
        const filePath = path.join(dirPath, file);
        const isDirectory = fs.statSync(filePath).isDirectory();
        if (isDirectory) {
            const files = getFiles(filePath);
            resultFiles.push(...files);
        }
        else {
            resultFiles.push(filePath);
        }
    });
    const blFiles = resultFiles.filter((filePath) => {
        const split = filePath.split('.');
        const lastPart = split[split.length - 1];
        return lastPart === suffix;
    });
    return blFiles;
};
const getFiles = (dir) => {
    const dirents = fs.readdirSync(dir, { withFileTypes: true });
    const files = dirents.map((dirent) => {
        const currentPath = path.join(dir, dirent.name);
        return dirent.isDirectory() ? getFiles(currentPath) : [currentPath];
    });
    return Array.prototype.concat(...files);
};
