import { transpiler, Transpiler, } from '@bitloops/bl-transpiler';
import { SupportedLanguages } from '../helpers/supportedLanguages.js';
import { readSetupData } from './generateSetupModel.js';
import { getBitloopsFilesAndContents } from './readFilesContents.js';
const DEFAULT_OPTIONS = {
    formatterConfig: null,
    targetLanguage: SupportedLanguages.TypeScriptNest,
};
const transpileCode = async (boundedContextModules, sourceDirPath, options = DEFAULT_OPTIONS) => {
    const core = await getBitloopsFilesAndContents(boundedContextModules, sourceDirPath);
    const setup = readSetupData(sourceDirPath);
    const input = {
        core,
        setup,
    };
    const result = transpiler.transpile(input, options);
    if (Transpiler.isTranspileError(result)) {
        throw result;
    }
    return result;
};
export { transpileCode };
